"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports["default"] = function (_ref) {
  var Plugin = _ref.Plugin;
  var t = _ref.types;

  return new Plugin("minify-boolean-cast", {
    metadata: {
      group: "builtin-pre"
    },

    visitor: {
      CallExpression: function CallExpression(node) {
        var callee = this.get("callee");
        if (callee.isIdentifier({ name: "Boolean" })) {
          if (node.arguments.length > 0) {
            return t.unaryExpression("!", t.unaryExpression("!", node.arguments[0]));
          }
        }
      }
    }
  });
};

module.exports = exports["default"];